View Issue Details

IDProjectCategoryView StatusLast Update
12161Bug reports[All Projects] _ Unknownpublic2018-05-23 13:19
ReporterfredcyAssigned ToLouisGac 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version2.62.x 
Target VersionFixed in Version3.7.x 
Summary12161: upgrading to 2.62.2 tries to touch files in templates folder, which are not writable
Description

With the 'debug' variable set to 2 in config.php, when I upgrade from version 2.57.0 to 2.62.2 I get a "PHP warning" page reporting the error "touch(): Utime failed: Permission denied". See attachment. The stack trace shows that the code was trying to touch files in the templates directory. Per standard installation instructions, that templates directory and contents are not writable by the web server and so the touch fails.

Steps To Reproduce

Set up limesurvey running 2.57.0 (or similar, I suppose).

In config.php, set 'debug' variable to 2.

Upgrade the limesurvey code to version 2.62.2.

Visit the admin pages in the browser.

Additional Information

Per https://manual.limesurvey.org/Installation#Set_Directory_permissions, the templates directory is not one of the special directories that needs to be writable by the web server.

TagsNo tags attached.
Complete LimeSurvey version number (& build)2.62.2
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMySQL 5.5.54
Server OS (if known)RHEL 6.8
Webserver software & version (if known)Apache 2.2.15
PHP Version5.4.45

Activities

fredcy

fredcy

2017-02-28 17:44

reporter  

PHP warning.html (27,479 bytes)
LouisGac

LouisGac

2017-03-07 12:05

manager   ~43186

that's the wanted behaviour. If you want to use comfortUpdate, you must change permissions before the update. Then you're free to put them back to their initial state after the update.

fredcy

fredcy

2017-03-08 03:08

reporter   ~43207

I was not using "comfort update". I updated the code via git-fetch and git-checkout.

LouisGac

LouisGac

2017-03-08 11:00

manager   ~43215

then I can close the bug report

fredcy

fredcy

2017-03-08 22:52

reporter   ~43238

I don't follow how my not using comfort update makes this a non-issue. I get fatal errors during an upgrade if the debug flag happens to be set to 2. My file permissions are set as directed by the documents.

Issue History

Date Modified Username Field Change
2017-02-28 17:44 fredcy New Issue
2017-02-28 17:44 fredcy File Added: PHP warning.html
2017-03-07 11:31 c_schmitz Assigned To => LouisGac
2017-03-07 11:31 c_schmitz Status new => assigned
2017-03-07 12:05 LouisGac Note Added: 43186
2017-03-08 03:08 fredcy Note Added: 43207
2017-03-08 11:00 LouisGac Note Added: 43215
2017-03-08 22:52 fredcy Note Added: 43238
2018-05-23 13:19 LouisGac Status assigned => closed
2018-05-23 13:19 LouisGac Resolution open => fixed
2018-05-23 13:19 LouisGac Fixed in Version => 3.7.x